//=============================================================================
// MaDMHTag.
// Created on: 04/06/2005
// Written by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MaDMHTag extends Splat;

#exec OBJ LOAD FILE=MaDUtilsTex.utx

var() Texture TagSprites[11];

simulated function BeginPlay()
{
	local int usecount;

	Super.BeginPlay();

	// pick a random texture from the nine as one to display
	usecount = (FRand()*11);
	ProjTexture = TagSprites[usecount];
}

defaultproperties
{
     TagSprites(0)=FinalBlend'MaDUtilsTex.MHTagBlend'
     TagSprites(1)=FinalBlend'MaDUtilsTex.MaDBombTagBlend'
     TagSprites(2)=FinalBlend'MaDUtilsTex.MJTagBlend00'
     TagSprites(3)=FinalBlend'MaDUtilsTex.MJTagBlend01'
     TagSprites(4)=FinalBlend'MaDUtilsTex.MaDIncTagBlend'
     TagSprites(5)=FinalBlend'MaDUtilsTex.CWOTagBlend'
     TagSprites(6)=FinalBlend'MaDUtilsTex.MKTagBlend'
     TagSprites(7)=FinalBlend'MaDUtilsTex.UTagBlend'
     TagSprites(8)=FinalBlend'MaDUtilsTex.WeedTagBlend'
     TagSprites(9)=FinalBlend'MaDUtilsTex.JasonTagBlend'
     TagSprites(10)=FinalBlend'MaDUtilsTex.PunisherTagBlend'
     Lifetime=20.000000
     ProjTexture=FinalBlend'MaDUtilsTex.MHTagBlend'
     FOV=1
     MaxTraceDistance=20
     bProjectTerrain=False
     bProjectStaticMesh=False
     DrawScale=0.300000
}
