//=============================================================================
// MutMaDMOTD.
// Created on: 02/25/2005
// Written by Kamek and Eduard Klemens
// kamek@cox.net
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MutMaDMOTD extends Mutator
	config(MaDUtils);

var config string MOTDLine1;
var config string MOTDLine2;
var config string MOTDLine3;
var config string MOTDLine4;

var array<PlayerController> PeepzToMessage;

function PostBeginPlay()
{
	SetTimer(6, true);
	Super.PostBeginPlay();
}

function bool AlwaysKeep(Actor Other)
{
	local PlayerController NewPlayer;

	NewPlayer = PlayerController(Other);
	if (NewPlayer != None)
	{
		log("Found player" @ NewPlayer);
		PeepzToMessage.Insert(PeepzToMessage.Length,1);
		PeepzToMessage[PeepzToMessage.Length] = NewPlayer;
	}
	return (false || Super.AlwaysKeep(Other));
}

event Timer()
{
	local PlayerController NewPlayer;

	while(PeepzToMessage.Length>0)
	{
		NewPlayer=PeepzToMessage[0];
		if (NewPlayer != None)
		{
			if (MOTDLine1 != "")
				NewPlayer.ClientMessage(MOTDLine1);
			if (MOTDLine2 != "")
				NewPlayer.ClientMessage(MOTDLine2);
			if (MOTDLine3 != "")
				NewPlayer.ClientMessage(MOTDLine3);
			if (MOTDLine4 != "")
				NewPlayer.ClientMessage(MOTDLine4);
			log("Told" @ NewPlayer @ "the MOTD, removed from new player list");
		}
		PeepzToMessage.Remove(0,1);
	}
}

defaultproperties
{
     MOTDLine1="Let the Bullets Fly, and the Widows Cry!"
     MOTDLine2="No Pain, No Game!"
     MOTDLine3="No Risc, No Fun!"
     MOTDLine4="Knowledge is Power!"
     GroupName="MaDMOTD"
     FriendlyName="M@DUtils: M@DJ@cK@L's MOTD"
     Description="M@DJ@cK@L's 'Moto of the Day' Messenger. Not to be used together with M@DHeAdZ MOTD!"
}
