//=============================================================================
// MutMHMOTD.
// Mutator that displays the MOTD
// Created on: 03/05/2005
// Written by Kamek
// kamek@cox.net
// Modifyed by Eduard Klemens
// Mail to: madjackal_x@hotmail.com.
//  2005, MaD Inc. All Rights Reserved.
//=============================================================================
class MutMHMOTD extends Mutator;

// Check for incoming players and show them the MOTD.
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	local MOTDDisplayer MyDisplayer;

	// Spawn the MOTDDisplayer, which handles the work on the client side.
	if (PlayerController(Other) != None)
		MyDisplayer = Spawn(class'MOTDDisplayer', Other);

	return true;
}

defaultproperties
{
     GroupName="MaDMHMOTD"
     FriendlyName="M@DUtils: M@DHeAdZ MOTD"
     Description="M@DHeAdZ 'Moto of the Day' Messenger and Server Logo. Not to be used together with M@DJ@cK@L's MOTD!"
}
